%define upstream_name    Role-Tiny
%define upstream_version 2.002004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Minimal try/catch with proper localization of $@
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-authors/id/M/MS/MSTROUT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
'Role::Tiny' is a minimalist role composition tool.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.2.4-3.mga10
+ Revision: 2206783
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.2.4-2.mga9
+ Revision: 1814018
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 2.2.4-1.mga9
+ Revision: 1690362
- update to 2.002004

* Mon Feb 17 2020 umeabot <umeabot> 2.1.4-2.mga8
+ Revision: 1537169
- Mageia 8 Mass Rebuild

* Sat Oct 26 2019 tv <tv> 2.1.4-1.mga8
+ Revision: 1455938
- update to 2.001004

* Thu Oct 10 2019 tv <tv> 2.1.3-1.mga8
+ Revision: 1450952
- update to 2.001003

* Thu Oct 03 2019 tv <tv> 2.1.1-1.mga8
+ Revision: 1448998
- update to 2.001001

* Tue Aug 06 2019 tv <tv> 2.0.8-1.mga8
+ Revision: 1427626
- update to 2.000008

* Mon Aug 05 2019 tv <tv> 2.0.7-1.mga8
+ Revision: 1427482
- update to 2.000007

* Thu Sep 20 2018 umeabot <umeabot> 2.0.6-2.mga7
+ Revision: 1285958
- Mageia 7 Mass Rebuild

* Wed Nov 08 2017 tv <tv> 2.0.6-1.mga7
+ Revision: 1176574
- update to 2.000006

* Sat Jul 22 2017 shlomif <shlomif> 2.0.5-1.mga7
+ Revision: 1128903
- update to 2.000005

* Sun Jun 19 2016 pterjan <pterjan> 2.0.1-3.mga6
+ Revision: 1032907
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.0.1-2.mga6
+ Revision: 966652
- Mageia 6 Mass Rebuild
+ sander85 <sander85>
- update to 2.000001

* Sat Jun 27 2015 shlomif <shlomif> 2.0.1-1.mga6
+ Revision: 846381
- update to 2.000001

* Wed Oct 15 2014 umeabot <umeabot> 1.3.3-4.mga5
+ Revision: 743768
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.3.3-3.mga5
+ Revision: 732526
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.3.3-2.mga5
+ Revision: 686112
- Mageia 5 Mass Rebuild

* Thu Mar 20 2014 jquelin <jquelin> 1.3.3-1.mga5
+ Revision: 606054
- update to 1.003003

* Sat Oct 19 2013 umeabot <umeabot> 1.3.2-2.mga4
+ Revision: 534323
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 sander85 <sander85> 1.3.2-1.mga4
+ Revision: 477306
- update to 1.003002

* Mon Jul 15 2013 sander85 <sander85> 1.3.1-1.mga4
+ Revision: 454869
- update to 1.003001

* Fri Jun 07 2013 jquelin <jquelin> 1.2.5-1.mga4
+ Revision: 439808
- update to 1.002005

* Sun Jan 13 2013 umeabot <umeabot> 1.2.4-2.mga3
+ Revision: 372309
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.2.4-1.mga3
+ Revision: 315824
- update to 1.002004

* Mon Sep 17 2012 jquelin <jquelin> 1.1.5-1.mga3
+ Revision: 295036
- update to 1.001005

* Fri Jun 29 2012 shlomif <shlomif> 1.1.3-1.mga3
+ Revision: 265205
- Add a BR on strictures
- New version - 1.001003

* Wed Jun 06 2012 jquelin <jquelin> 1.1.2-1.mga3
+ Revision: 256203
- imported package perl-Role-Tiny


* Wed Jun 06 2012 cpan2dist 1.001002-1mga
- initial mageia release, generated with cpan2dist
